> ## Documentation Index
> Fetch the complete documentation index at: https://fairwayze.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bookings



## OpenAPI

````yaml GET /bookings
openapi: 3.1.0
info:
  title: Fairwayze API
  description: The Fairwayze API allows you to retrieve bookings, bays, and locations.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{company}.fairwayze.com/api/integrations
    variables:
      company:
        default: ''
security:
  - ApiKeyAuth: []
paths:
  /bookings:
    get:
      parameters:
        - name: location_id
          in: query
          description: The location ID to retrieve bookings for
          required: true
          schema:
            type: string
            format: uuid
        - name: time_min
          in: query
          description: The earliest booking time to include (ex. 2026-02-04T00:00:00-05:00)
          schema:
            type: string
            format: date-time
        - name: time_max
          in: query
          description: The latest booking time to include (ex. 2026-02-05T00:00:00-05:00)
          schema:
            type: string
            format: date-time
        - name: timezone
          in: query
          description: The timezone used in the response (ex. America/Toronto)
          schema:
            type: string
      responses:
        '200':
          description: Booking object
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Booking'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Booking:
      type: object
      properties:
        id:
          type: string
          format: uuid
        start_time:
          type: string
          format: date-time
          example: '2026-02-04T17:00:00+00:00'
        end_time:
          type: string
          format: date-time
          example: '2026-02-04T18:00:00+00:00'
        user:
          $ref: '#/components/schemas/User'
        location:
          $ref: '#/components/schemas/Location'
        bay:
          $ref: '#/components/schemas/Bay'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        email:
          type: string
          format: email
    Location:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    Bay:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        tag:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: ApiKey

````